IRPCVaultAdmin.RestoreFromArchive

View as Markdown

Administration API / specialized admin session

Imports the contents of an archive (or one object of it) into the vault, or previews the import.

ServiceVault administration MFiles.IRPCVaultAdmin
gRPC method/MFiles.IRPCVaultAdmin/RestoreFromArchive
HTTP (mf-http-grpc)POST /grpc/v1/restore-from-archive
RequestRestoreFromArchiveRequest
ResponseRestoreFromArchiveResponse
Book and levelAdministration API, specialized
Kindadmin
SessionRequired: the session ID from LogIn in the mfiles-session-id-bin metadata.
Idempotentno
Returns metadata structure versionno
Streamingnone (unary)

Remarks

Request: RestoreFromArchiveRequest

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page. Fields marked (recursive) refer to a type already on their path.

FieldTypeDescription
preview_onlyboolTrue to only preview the import and produce a summary report; nothing changes. False to start the import job.
restorefromarchivejobRestoreFromArchiveJobThe archive to import (a file on the server or cloud storage), what to import and the import options.
restorefromarchivejob.source_filestringFull path to the archive file on server.
restorefromarchivejob.impersonationImpersonationImpersonation information for accessing the archive target file on server.
restorefromarchivejob.impersonation.typeImpersonationTypeImpersonation type.Values: IMPERSONATION_TYPE_SYSTEM_ACCOUNT (0), IMPERSONATION_TYPE_LOCAL_WINDOWS_ACCOUNT (1), IMPERSONATION_TYPE_EXTERNAL_ACCOUNT (2).
restorefromarchivejob.impersonation.accountstringAccount name (e.g. DOMAIN\user).
restorefromarchivejob.impersonation.encrypted_passwordbytesEncrypted password.
restorefromarchivejob.restore_full_archiveboolTrue to restore the entire contents of the archive. False to restore a specific document only.
restorefromarchivejob.restore_object_idint32If bEntireContents is false, specifies the document to restore.
restorefromarchivejob.optionsOBJRESTORINGFLAGSBit flags that control the execution of this restoring job.
restorefromarchivejob.options.allboolSpecifies all flags set; Including any future flags.
restorefromarchivejob.options.target_path_is_directoryboolIf present, archive location represents a directory.
restorefromarchivejob.options.overwrite_existing_versionsboolIf present, replace existing data with the incoming data.
restorefromarchivejob.options.delete_restored_archiveboolIf present, delete the archive once restored.
restorefromarchivejob.options.override_permissionsboolIf present, use the overriding permissions.
restorefromarchivejob.options.restore_check_out_stateboolDEPRECATED, DO NOT REUSE THE VALUE: const OBJRESTORINGFLAG OBJRESTORINGFLAG_RESETDELTATIMESTAMPS = ( 1 << 5 ); //!< If present, delta timestamps are reset on export jobs.
restorefromarchivejob.options.do_not_destroy_objectsboolIf present, object destructions are not restored.
restorefromarchivejob.options.use_names_as_alisesboolIf present, incoming names can be used as aliases.
restorefromarchivejob.options.disable_external_object_typesboolIf present, all external connections of imported object types are disabled.
restorefromarchivejob.options.disable_external_user_groupsboolIf present, all external connections of imported user groups are disabled.
restorefromarchivejob.options.disable_event_handlersboolIf present, all imported event handlers are deactivated.
restorefromarchivejob.options.use_object_type_default_permissionsboolIf present, use the default permissions from object types.
restorefromarchivejob.options.activate_automatic_permissionsboolIf present, new or changed definitions of automatic permissions are activated on objects.
restorefromarchivejob.options.ignore_automatic_permissionsboolIf present, ignore the definitions of automatic permissions from the imported objects.
restorefromarchivejob.options.do_not_update_structure_item_idsboolForces the target vault to keep existing structure item guids.
restorefromarchivejob.options.omit_done_fileboolPrevents the 'done' file output.
restorefromarchivejob.options.disable_code_in_property_definitionsboolIf present, all custom code in imported property definitions is deactivated.
restorefromarchivejob.options.disable_code_in_workflowsboolIf present, all custom code in imported workflows is deactivated.
restorefromarchivejob.options.allow_signed_codeboolIf present, unchanged or signed custom code is always allowed in import.
restorefromarchivejob.options.import_older_viewsboolIf present, the views with an older last modified date and time are imported.
restorefromarchivejob.acl_overrideAccessControlListThe overriding ACL. Can be unset.
restorefromarchivejob.acl_override.checked_out_to_userint32Specifies the ID of the user who has extended rights because of the checkout operation performed by her. 0 if such user does not exist.
restorefromarchivejob.acl_override.is_fully_authoritativeboolSpecifies whether this access control list is set to ignore the secondary permissions that come from the latest checked in version.
restorefromarchivejob.acl_override.custom_componentAccessControlListComponentAccesses the custom component of this ACL.
restorefromarchivejob.acl_override.restrictive_components[]repeated AccessControlListComponentMapEntryAccesses the restrictive automatic components of this ACL.
restorefromarchivejob.acl_override.secondary_access_control_listAccessControlList (recursive)Secondary ACL used for latest version ACL. Not used for access check if null.
restorefromarchivejob.acl_override.additive_components[]repeated AccessControlListComponentMapEntryAccesses the additive automatic components of this ACL.
restorefromarchivejob.restore_structure_items[]repeated MetadataStructureSelectorIf not empty, specifies the metadata structure items to restore.
restorefromarchivejob.restore_structure_items[].namestringA friendly name for the selector. May be used to display the reasoning for the metadata structure item selection for a human (may be included in the preview xml).
restorefromarchivejob.restore_structure_items[].idstringOptional identificator for the selector. May be used to indicate the reasoning for the metadata structure item selection for a computer (may be included in the preview xml).
restorefromarchivejob.restore_structure_items[].item_typeMetadataStructureItemMetadata structure item type to select.
restorefromarchivejob.restore_structure_items[].item_guidstringThe GUID of item to select. The primary selector. Not used it the value is GUID_NULL.
restorefromarchivejob.restore_structure_items[].item_aliasstringA semantic alias of the item to select. Applied if the guid is not used. Not used if the value is empty string.
restorefromarchivejob.restore_structure_items[].item_idint32Id of the item to select. Will be used if no guid nor alias are specified.
restorefromarchivejob.restore_structure_items[].optionsMETADATASTRUCTURESELECTORFLAGSBit flags that control the metadata structure selection.
restorefromarchivejob.cloud_storage_connection_stringstringTransport connection string.
restorefromarchivejob.cloud_storage_passwordstringPackage encryption password.
restorefromarchivejob.configuration_idstringConfiguration id of this restoring job.

Response: RestoreFromArchiveResponse

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
task_idint32The ID of the vault's import job when preview_only is false.
prestorefromarchivejoboinfoRestoreFromArchiveJobOutputInfoNot used: always empty. Download the summary report instead.
prestorefromarchivejoboinfo.summarybytesThe summary report in a serialized format.
download_idsummaryint32The download ID of the preview's summary report when preview_only is true. 0 if there is no report.
file_size_summaryint64The size of the summary report in bytes.